package com.iamberry.wechat.service.mapper;

import java.util.List;
import java.util.Map;

import com.iamberry.wechat.core.entity.drp.PlaceWithDrawalsLogs;


/**
 * 
 * @author 欧阳明
 * @description sql提现接口映射类
 * @date: 2016-4-18
 */
public interface PlaceWithDrawalsLogsMapper {

	    //获取单个分销订单
		public PlaceWithDrawalsLogs getOneWithDrawalsLogs(int id);
		//获取所有的提现记录  可支持条件查询
		public List<PlaceWithDrawalsLogs> selectAll(PlaceWithDrawalsLogs placeWithDrawalsLogs);
		//获取所有的提现记录  可支持条件查询
		public List<PlaceWithDrawalsLogs> selectAllMore(PlaceWithDrawalsLogs placeWithDrawalsLogs);
		//插入数据
		public int insert(PlaceWithDrawalsLogs placeWithDrawalsLogs);
		//更新数据
		public int update(PlaceWithDrawalsLogs placeWithDrawalsLogs);
		//删除数据
		public int delete(PlaceWithDrawalsLogs placeWithDrawalsLogs);
		//获取信息结果集总数
		public int getAllCount(PlaceWithDrawalsLogs placeWithDrawalsLogs);
		//用户后台结果集总数
		public int getAllCountMore(PlaceWithDrawalsLogs placeWithDrawalsLogs);
		//获取这个月提现次数
		public int getApplyCount(Map map);
		//获取单个用户提现总额
		public int getTotalMoneyByPlaceId(int placeId);

}
